#global _internal_version  ed31dbd

Name:           nemo-extensions
Version:        2.4.x
Release:        3%{?dist}
Summary:        Extensions for Nemo

License:        GPLv2+ and LGPLv2
URL:            http://cinnamon.linuxmint.com
# To generate tarball
# wget https://github.com/linuxmint/nemo-extensions/tarball/%%{_internal_version} -O nemo-extensions-%%{version}.git%%{_internal_version}.tar.gz        
#Source0:        http://leigh123linux.fedorapeople.org/pub/nemo-extensions/source/nemo-extensions-%%{version}.git%%{_internal_version}.tar.gz
Source0:        http://leigh123linux.fedorapeople.org/pub/nemo-extensions/source/nemo-extensions-%{version}.tar.gz

Patch0:          0001-require-Vte-2.90-because-these-devs-broke-the-API-ag.patch

BuildRequires:  nemo-devel
BuildRequires:  python-distutils-extra
BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pygobject2-devel
BuildRequires:  pygobject3-devel
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  gtk-doc  
BuildRequires:  libnotify-devel 
BuildRequires:  cjs-devel
BuildRequires:  evince-devel
BuildRequires:  libmusicbrainz5-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  webkitgtk3-devel
BuildRequires:  clutter-gtk-devel
BuildRequires:  clutter-gst2-devel
BuildRequires:  gtksourceview3-devel
BuildRequires:  perl(XML::Parser)

%description
Extensions for Nemo

%package     -n nemo-pastebin
Summary:     Pastebin extension for Nemo
License:     GPLv2+
BuildArch:   noarch
Requires:    pastebinit
Requires:    nemo-python

%description -n nemo-pastebin
nemo-pastebin is an extension for the Nemo file manager, which allows
users to send files to pastebins just a right-click away.

%package     -n nemo-rabbitvcs
Summary:     RabbitVCS extension for Nemo
License:     GPLv2+
BuildArch:   noarch
Requires:    rabbitvcs-core
Requires:    nemo-python
Requires:    python-simplejson

%description -n nemo-rabbitvcs
nemo-rabbitvcs is an extension for the Nemo file manager.
It provides easy access to the version control systems like SVN or Git.

%package     -n nemo-fileroller
Summary:     File Roller extension for Nemo
License:     GPLv2+
Requires:    file-roller

%description -n nemo-fileroller
This package contains the file-roller extension for the Nemo.

%package     -n nemo-python
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    nemo
Requires:    pygobject3-base

%description -n nemo-python
Python bindings for Nemo

%package     -n nemo-python-devel
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    nemo-python = %{version}-%{release}

%description -n nemo-python-devel
Python bindings for Nemo

%package     -n nemo-terminal
Summary:     Embedded terminal window for Nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    vte3
Requires:    nemo-python

%description -n nemo-terminal
Embedded terminal window for Nemo

%package     -n nemo-preview
Summary:     A quick previewer for Nemo
License:     GPLv2+
Requires:    nemo

%description -n nemo-preview
Nemo Preview is a GtkClutter and Javascript-based quick previewer 
for Nemo.
It is capable of previewing documents, PDFs, sound and video files,
some text files, and possibly others in the future.

To activate the preview, left-click the file and hit space.
The preview can be closed by hitting space again, or escape.

%package     -n nemo-emblems
Summary:     Emblem support for nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    nemo-python

%description -n nemo-emblems
Restores the emblems functionality that used to be in GNOME 2. 

%package     -n nemo-image-converter
Summary:     Nemo extension to mass resize images
Requires:    ImageMagick
License:     GPLv3+

%description -n nemo-image-converter
Adds a "Resize Images..." menu item to the context menu. This opens a dialog where you set the desired image size and file name.

%prep
%setup -q
%patch0 -p1

%build
pushd nemo-pastebin
%{__python} setup.py build
popd

pushd nemo-fileroller
rm missing
NOCONFIGURE=1 ./autogen.sh
%configure
make V=1 %{?_smp_mflags}
popd

pushd nemo-python
rm missing
mv configure.in configure.ac
NOCONFIGURE=1 ./autogen.sh
%if 0%{?fedora} < 20
%configure --docdir=%{_datadir}/doc/nemo-python-%{version}
%else
%configure --docdir=%{_datadir}/doc/nemo-python
%endif
make V=1 %{?_smp_mflags}
popd

pushd nemo-preview
NOCONFIGURE=1 ./autogen.sh
intltoolize -f
%configure
make V=1 %{?_smp_mflags}
popd

pushd nemo-image-converter
%configure
make V=1 %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
pushd nemo-pastebin
%{__python} setup.py install -O1 --install-scripts=%{_datadir}/nemo-pastebin/ --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/nemo-python/extensions/
mv %{buildroot}/%{_datadir}/nemo-pastebin/nemo-pastebin.py %{buildroot}/%{_datadir}/nemo-python/extensions/
mkdir -p %{buildroot}/%{_bindir}/
ln -s %{_datadir}/nemo-pastebin/nemo-pastebin-configurator.py %{buildroot}/%{_bindir}/nemo-pastebin-configurator
popd

pushd nemo-rabbitvcs
install -pm 0644 RabbitVCS.py %{buildroot}/%{_datadir}/nemo-python/extensions/
popd

pushd nemo-fileroller
%make_install
popd

pushd nemo-python
%make_install
popd

pushd nemo-terminal
mkdir %{buildroot}/%{_datadir}/nemo-terminal
install -pm 0644 src/nemo_terminal.py %{buildroot}/%{_datadir}/nemo-python/extensions/
install -pm 0644 src/org.nemo.extensions.nemo-terminal.gschema.xml %{buildroot}/%{_datadir}/glib-2.0/schemas/
install -pm 0644 pixmap/logo_120x120.png %{buildroot}/%{_datadir}/nemo-terminal
popd

pushd nemo-preview
%make_install
popd

pushd nemo-emblems
install -pm 0644 nemo-extension/nemo-emblems.py %{buildroot}/%{_datadir}/nemo-python/extensions/
chmod -x COPYING.GPL3
popd

pushd nemo-image-converter
%make_install
popd

# remove useless libtool archive files
rm %{buildroot}/%{_libdir}/nemo/extensions-3.0/libnemo-*.la
rm %{buildroot}/%{_libdir}/nemo/extensions-3.0/libnemo-*.a
rm %{buildroot}/%{_libdir}/nemo-preview/libnemo-preview-1.0.la

desktop-file-install                                    \
 --delete-original                                      \
 --dir=%{buildroot}%{_datadir}/applications             \
 %{buildroot}/%{_datadir}/applications/nemo-pastebin-configurator.desktop

%find_lang nemo-preview
%find_lang nemo-image-converter

%postun -n nemo-pastebin
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans -n nemo-pastebin
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun -n nemo-terminal
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans -n nemo-terminal
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -n nemo-pastebin
%doc nemo-pastebin/{README,NEWS,COPYING}
%{_bindir}/nemo-pastebin-configurator
%{_datadir}/nemo-python/extensions/nemo-pastebin.py
%{python_sitelib}/nemo_pastebin-1.0.0-py?.?.egg-info
%{_datadir}/applications/nemo-pastebin-configurator.desktop
%{_datadir}/glib-2.0/schemas/nemo-pastebin.gschema.xml
%{_datadir}/nemo-pastebin/
%{_datadir}/pixmaps/nemo-pastebin.svg

%files -n nemo-rabbitvcs
%doc nemo-rabbitvcs/COPYING
%{_datadir}/nemo-python/extensions/RabbitVCS.py

%files -n nemo-fileroller
%doc nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-fileroller.so

%files -n nemo-python
%doc nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-python.so
%{_datadir}/nemo-python/
%exclude %{_datadir}/nemo-python/extensions/*

%files -n nemo-python-devel
%{_libdir}/pkgconfig/nemo-python.pc

%files -n nemo-terminal
%doc nemo-terminal/COPYING
%{_datadir}/nemo-python/extensions/nemo_terminal.py
%{_datadir}/nemo-terminal/
%{_datadir}/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml

%files -n nemo-preview -f nemo-preview.lang
%doc nemo-preview/{README,COPYING}
%{_bindir}/nemo-preview
%{_libdir}/nemo-preview/
%{_libexecdir}/nemo-preview-start
%{_datadir}/nemo-preview/
%{_datadir}/dbus-1/services/org.nemo.Preview.service

%files -n nemo-emblems
%doc nemo-emblems/COPYING.GPL3
%{_datadir}/nemo-python/extensions/nemo-emblems.py

%files -n nemo-image-converter  -f nemo-image-converter.lang
%doc nemo-image-converter/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-image-converter.so
%{_datadir}/nemo-image-converter/

%changelog
* Thu Nov 27 2014 Haïkel Guémar <hguemar@fedoraproject.org> - 2.4.x-3
- Rebuilt against newer libmusicbrainz5 (required for nemo-preview)

* Thu Nov 13 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.x-2
- change requires on nemo-terminal to vte3
- add patch to fix nemo-terminal

* Sat Nov 01 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.4.x-1
- update to 2.4.x

* Tue Oct 21 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.3.x-0.2.gited31dbd
- add noarch

* Tue Oct 21 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.3.x-0.1.gited31dbd
- update to latest git
- add nemo-emblems
- add nemo-image-converter

* Sun Oct 19 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.x-6
- patch nemo-preview for gjs changes (bz 1154111)

* Wed Oct 01 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.x-5
- rebuilt

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.x-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 2.2.x-3
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.x-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.2.x-1
- update to 2.2.x

* Thu Feb 20 2014 Kalev Lember <kalevlember@gmail.com> - 2.0.0-0.6.git6c86726
- Rebuilt for cogl soname bump

* Mon Feb 10 2014 Peter Hutterer <peter.hutterer@redhat.com> - 2.0.0-0.5.git6c86726
- Rebuild for libevdev soname bump

* Fri Feb 07 2014 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-0.4.git6c86726
- rebuilt for new cogl .so version

* Sat Nov 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-0.3.git6c86726
- add requires python-simplejson to nemo-rabbitvcs

* Sat Nov 23 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-0.2.git6c86726
- add nemo-preview extension

* Thu Oct 31 2013 Leigh Scott <leigh123linux@googlemail.com> - 2.0.0-0.1.gitfd3cc88
- update to latest git
- add nemo-terminal extension

* Sun Oct 20 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.6.git3e366de
- remove the seahorse extension because
  it's broken and conflicts with seahorse-nautilus
  (can't be bothered to fix it)

* Tue Oct 08 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.5.git3e366de
- add nemo-rabbitvcs sub-package

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.4.git3e366de
- clean up nemo-pastebin install

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.3.git3e366de
- fix files listed twice

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.2.git3e366de
- fix nemo-pastebin
- add python extensions directory

* Tue Sep 24 2013 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-0.1.git3e366de
- Initial build

